# $Revision: 1.32 $, $Date: 2004/07/25 19:43:50 $
Summary:	An Image viewer based on X-Window system and GTK+
Summary(es):	Un visualizador de imgenes basado en X Window y GTK+
Summary(pl):	Przegldarka plikw graficznych oparta na bibliotece GTK+
Summary(pt_BR):	Um visualizador de imagens baseado no X Window e GTK+
Name:		gtksee
Version:	0.5.6
Release:	1
License:	GPL v2
Group:		X11/Applications/Graphics
Source0:	http://download.berlios.de/gtksee/%{name}-%{version}.tar.gz
# Source0-md5:	1f5a43a869938c7a2bef1276203dfdc5
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-localenames.patch
Icon:		gtksee.xpm
URL:		http://gtksee.berlios.de/index.php
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An Image viewer based on X-Window system and GTK+. The main purpose is
to port ACD See, which is a very popular image viewer in M$ world, to
Unix platform.

%description -l es
El visor de imgenes permite visualizar y manejar una variedad de
formatos de imgenes. Pretendes tener las mismas funciones del ACD
See, que es mucho popular.

%description -l pl
Gtksee to przegldarka plikw graficznych dziaajca pod X Window
System i korzystajca z biblioteki GTK+. Ma jak najbardziej
przypomina znan ze wiata MS Windows przegldark ACD See.

%description -l pt_BR
Um visualizador de imagens baseado no X Window e GTK+. Pretende ter as
mesmas funcionalidades do ACD See, que  bastante popular no mundo
Microsoft(r).

%prep
%setup -q
%patch0 -p1

# it's encoded in gb2312
mv -f po/{zh_CN.EUC,zh_CN}.po
# it's Ukrainian, not Russian
mv -f po/{ru_UA,uk}.po

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gtksee
%{_pixmapsdir}/*.png
%{_desktopdir}/gtksee.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtksee.spec,v $
Revision 1.32  2004/07/25 19:43:50  ankry
- fixed Ukrainian translation

Revision 1.31  2004/07/24 16:36:19  kali
- updated to 0.5.6, updated localenames.patch, fix URL

Revision 1.30  2004/01/30 16:09:22  qboosh
- added Categories to .desktop, moved to desktopdir
- added localenames patch, rename zh_CN.EUC->zh_CN (encoded in gb2312)
- release 2

Revision 1.29  2003/12/18 22:50:02  undefine
- update to 0.5.5.1

Revision 1.28  2003/09/19 20:02:15  misi3k
- updated to 0.5.4

Revision 1.27  2003/08/28 08:39:13  ankry
- s/A/An/

Revision 1.26  2003/08/23 20:51:01  misi3k
- updated to 0.5.3

Revision 1.25  2003/06/23 21:06:16  blues
- cosmetics, removed any outdated things

Revision 1.24  2003/06/23 16:59:07  undefine
- update to 0.5.2

Revision 1.23  2003/06/23 16:57:32  undefine
- add md5 sum

Revision 1.22  2003/05/26 09:22:55  erjot
- fix Source0
- md5

Revision 1.21  2003/05/26 06:06:36  misi3k
- updated to 0.5.1

Revision 1.20  2003/05/25 05:48:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/01/18 22:50:09  juandon
- removed two lines with define

Revision 1.18  2002/11/27 18:34:16  juandon
- new %%doc

Revision 1.17  2002/10/09 13:14:29  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.16  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.15  2002/05/21 23:13:31  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/04/25 16:31:33  arturs
fixed a small typo

Revision 1.13  2002/04/24 09:09:47  wiget
allow compile with libpng 1.2.2; release 5

Revision 1.12  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.11  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:29:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/21 01:24:45  kloczek
- s/GPL2/GPL v2/

Revision 1.7  2001/08/12 18:18:00  blues
- Release 4
- ac 2.5 ready

Revision 1.6  2001/07/21 13:33:36  migo
- added pl summary and/or description

Revision 1.5  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.4  2000/10/12 21:16:08  kloczek
- release 3: adapterized.

Revision 1.3  2000/08/19 17:44:36  kloczek
- added missing BuildRequires rules.

Revision 1.2  2000/08/19 17:43:23  kloczek
- completly rewrited in PLD style.

Based on Conectiva spec file.
